Karia
ReferencesOpenapiOrigination

Calculate novated finance details

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}/quote/{quoteId}/calculate-novated-finance

Calculate novated finance details for the specified quote and return the derived finance output.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
dealId*string
quoteId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/origination/deal/string/quote/string/calculate-novated-finance"
{
  "type": "novated_finance",
  "details": {
    "totalAmountFinanced": {
      "exGstAmount": "0.00",
      "gstAmount": "0.00",
      "incGstAmount": "0.00"
    },
    "totalInvestmentAmount": {
      "exGstAmount": "0.00",
      "gstAmount": "0.00",
      "incGstAmount": "0.00"
    },
    "financePayments": {
      "monthlyPaymentToFinanciers": {
        "exGstAmount": "0.00",
        "gstAmount": "0.00",
        "incGstAmount": "0.00"
      },
      "monthlyBudgetedFinancePayments": {
        "exGstAmount": "0.00",
        "gstAmount": "0.00",
        "incGstAmount": "0.00"
      },
      "payrollCycleBudgetedFinancePayments": {
        "exGstAmount": "0.00",
        "gstAmount": "0.00",
        "incGstAmount": "0.00"
      }
    }
  }
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}